### 5.1.173 weightKB

Procedure from library `standard.lib` (see standard_lib).

Syntax:
  `weightKB (` module_expression`,` int_expression `,` list_expression `)`
  `weightKB (` ideal_expression`,` int_expression`,` list_expression `)`

Return:
  the same as the input type of the first argument

Purpose:
  If `I,d,wim` denotes the three arguments then weightKB computes the weighted degree- `d` part of a vector space basis (consisting of monomials) of the quotient ring, resp. of the quotient module, modulo `I` w.r.t. weights given by `wim` The information about the weights is given as a list of two intvec: `wim[1]` weights for all variables (positive), `wim[2]` weights for the module generators.

Note:
  This is a generalization of the command `kbase` with the same first two arguments.

Example:

      ring R=0, (x,y), wp(1,2);
    weightKB(ideal(0),3,intvec(1,2));
    ==> _[1]=x3
    ==> _[2]=xy

See also: kbase.

User manual for Singular version 4.4.1, 2025, generated by texi2html.